problema al clonar el entorno de Python de Arcgis PRO 2.5

177
1
04-16-2020 05:05 PM
New Contributor

Buenas noches tengo el siguiente problema

al clonar el entorno de Python de Arcgis PRO 2.5

ERROR conda.core.link:_execute_actions(337): An error occurred while installing package 'defaults::ipykernel-5.1.2-py36h39e3cac_0'.
LinkError: post-link script failed for package defaults::ipykernel-5.1.2-py36h39e3cac_0
running your command again with `-v` will provide additional information
location of failed script: C:\Users\Mallea\AppData\Local\ESRI\conda\envs\arcgispro-py3-clone5\Scripts\.ipykernel-post-link.bat

LinkError: post-link script failed for package defaults::ipykernel-5.1.2-py36h39e3cac_0
running your command again with `-v` will provide additional information
location of failed script: C:\Users\Mallea\AppData\Local\ESRI\conda\envs\arcgispro-py3-clone5\Scripts\.ipykernel-post-link.bat

Tags (1)
Reply
0 Kudos
1 Reply
Esri Contributor

According to the error message the failed script happened inside the cloned environment: arcgispro-py3-clone5, so I suspect that the operation that lead to this failure was cloning the default environment. You should instead try cloning arcgispro-py3, and then set the new cloned environment as the default. If you are unable to clone arcgispro-py3 then it means that the base conda environment is broken, which may have been caused by any packages installed to the base environment via the command line. In this case the recommended solution is to reinstall Pro.

Reply
0 Kudos